std::length_error(3cxx)

NAME
std::length_error

SYNOPSIS

#include <stdexcept>

Inherits std::logic_error.

  Public Member Functions

length_error (const char *) _GLIBCXX_TXN_SAFE
length_error (const length_error &)=default
length_error (const string &__arg) _GLIBCXX_TXN_SAFE
length_error (length_error &&)=default
length_error & operator= (const length_error &)=default
length_error & operator= (length_error &&)=default
virtual const char * what () const noexcept

Detailed Description

Thrown when an object is constructed that would exceed its maximum permitted size (e.g., a basic_string instance).

Member Function Documentation

  virtual const char * std::logic_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.